# Functor Kruskal.Make

    module Make: functor (G : G) -> functor (W : Sig.ORDERED_TYPE  with type t = G.E.label) -> sig .. end

Functor providing an implementation of Kruskal's minimum-spanning-tree algorithm. Parameter `W` ensures that label on edges are comparable.

Parameters: |
`G` | : | `G`
`W` | : | `Sig.ORDERED_TYPE with type t = G.E.label`

    val spanningtree : Kruskal.G.t -> Kruskal.G.E.t list